=== lib/db/dbmi_base/Makefile ===
MODULE_TOPDIR = ../../..

EXTRA_CFLAGS = $(USE_DIRECT) $(USE_BUFFERED_IO)

LIB = DBMIBASE

include $(MODULE_TOPDIR)/include/Make/Lib.make

default: lib
