=== lib/db/dbmi_driver/Makefile ===
MODULE_TOPDIR = ../../..

EXTRA_CFLAGS = $(USE_DIRECT) $(USE_BUFFERED_IO) -I../dbmi_base

LIB = DBMIDRIVER

include $(MODULE_TOPDIR)/include/Make/Lib.make

default: lib $(ARCH_INCDIR)/dbstubs.h
